#!/usr/bin/env python
import doctest
import unittest
import sys

def test_suite(readme):
    suite = unittest.TestSuite()
    suite.addTest(doctest.DocFileSuite(readme, optionflags=flags()))
    return suite

def flags():
    flags = doctest.NORMALIZE_WHITESPACE|doctest.ELLIPSIS
    if sys.version_info >= (3,):
        flags |= doctest.IGNORE_EXCEPTION_DETAIL
    return flags

def run(readme):
    suite = test_suite(readme)
    runner = unittest.TextTestRunner(verbosity=2)
    result = runner.run(suite)
    sys.exit(int(bool(result.failures or result.errors)))

if __name__ == '__main__':
    run('README.rst')

